Uploaded image for project: 'Sqoop'
  1. Sqoop
  2. SQOOP-3232

Remove Sqoop dependency on deprecated HBase APIs

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.4.6
    • Fix Version/s: 1.5.0
    • Component/s: None
    • Labels:
      None

      Description

      Sqoop currently depends on pre HBase 1.0 APIs that have been deprecated and will be removed in the HBase 2.0 release.
      The task is to remove the dependency on these old APIs to make sure that the upgrade to a newer HBase version will be easier in the future.

        Attachments

        1. SQOOP-3232.patch
          25 kB
          Szabolcs Vasas
        2. SQOOP-3232-2.patch
          25 kB
          Szabolcs Vasas

          Issue Links

            Activity

              People

              • Assignee:
                vasas Szabolcs Vasas
                Reporter:
                vasas Szabolcs Vasas
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: